For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETList Subkeys
        • POSTRegister Subkey
        • DELRevoke Subkey
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceSubkey

List Subkeys

GET
https://api.testnet.paradex.trade/v1/account/subkeys
GET
/v1/account/subkeys
$curl https://api.testnet.paradex.trade/v1/account/subkeys \
> -H "Authorization: <apiKey>"
1{
2 "results": [
3 {
4 "account_id": "0x1234567890abcdef",
5 "created_at": 1640995200,
6 "id": 1,
7 "name": "My Subkey",
8 "public_key": "0xabcdef1234567890abcdef",
9 "revoked_at": 0,
10 "updated_at": 1640995200
11 }
12 ]
13}
Get all subkeys for the authenticated account with optional filtering by status.
Was this page helpful?
Previous

Register Subkey

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

with_revokedbooleanOptional
Include revoked subkeys

Response

List of subkeys
resultslist of objects
Array of results

Errors

400
Bad Request Error
401
Unauthorized Error